// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_content_by_hash.sql

package queries

import (
	"context"

	"github.com/gofrs/uuid"
	"github.com/jackc/pgx/v5/pgtype"
)

const getContentByHash = `-- name: GetContentByHash :one

SELECT
    c.hash as content_hash,
    c.hash_algorithm as content_hash_algorithm,
    c.iv AS content_iv,
    c.group_id as content_group_id,
    c.valid_not_before as content_valid_not_before,
    c.valid_not_after as content_valid_not_after,
    c.created_at as content_created_at
FROM contracts.content as c
WHERE c.hash = $1
`

type GetContentByHashRow struct {
	ContentHash           string
	ContentHashAlgorithm  ContractsContentHashAlgorithm
	ContentIv             uuid.UUID
	ContentGroupID        string
	ContentValidNotBefore pgtype.Timestamptz
	ContentValidNotAfter  pgtype.Timestamptz
	ContentCreatedAt      pgtype.Timestamptz
}

// Copyright © VNG Realisatie 2022
// Licensed under the EUPL
func (q *Queries) GetContentByHash(ctx context.Context, hash string) (*GetContentByHashRow, error) {
	row := q.db.QueryRow(ctx, getContentByHash, hash)
	var i GetContentByHashRow
	err := row.Scan(
		&i.ContentHash,
		&i.ContentHashAlgorithm,
		&i.ContentIv,
		&i.ContentGroupID,
		&i.ContentValidNotBefore,
		&i.ContentValidNotAfter,
		&i.ContentCreatedAt,
	)
	return &i, err
}
